Account
Retrieve balance, equity, margin, and other account-level information for the MT5 login bound to your API key.
Endpoint
Section titled “Endpoint”GET /v1/account
Parameters
Section titled “Parameters”This endpoint takes no parameters.
Example Request
Section titled “Example Request”curl -X GET https://interface.xbtfx.com/v1/account \ -H "Authorization: Bearer your_api_key_here"Response
Section titled “Response”{ "login": 12345678, "balance": 10000.00, "equity": 10250.75, "margin": 500.00, "margin_free": 9750.75, "profit": 250.75, "leverage": 100, "margin_mode": "hedging"}Response Fields
Section titled “Response Fields”| Field | Type | Description |
|---|---|---|
login | integer | MT5 account login number |
balance | number | Account balance (closed P&L only) |
equity | number | Balance + unrealized profit/loss |
margin | number | Margin currently in use by open positions |
margin_free | number | Available margin for new positions |
profit | number | Unrealized profit/loss across all open positions |
leverage | integer | Account leverage ratio (e.g., 100 = 1:100) |
margin_mode | string | Account margin mode: hedging or netting |